Skip to main content
curl -X GET 'https://product.api.e-cross.tech/ext/skus/12345678901/validPrice?salesChannel=ECOM&currency=BRL' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "id": "ACME-12345678901-ECOM",
  "merchantId": "ACME",
  "skuId": "12345678901",
  "skuName": "Black T-Shirt",
  "merchantCurrency": "USD",
  "localizedCurrency": "BRL",
  "localizationTimestamp": "2024-11-14T12:01:29.363Z",
  "grossOutboundListPrice": 13.64,
  "grossOutboundSalePrice": 11.27,
  "grossOutboundListPriceWithTaxes": 13.64,
  "grossOutboundSalePriceWithTaxes": 11.27,
  "localizedListPriceWithTaxes": 75,
  "localizedSalePriceWithTaxes": 62
}

Path Parameters

skuId
string
required
Identifier of the SKU (the SKU_ID used to create the SKU).

Query Parameters

salesChannel
string
required
The identifier of the sales channel (e.g., ECOM). Refer to the Sales Channels page for the list of available sales channels.
currency
string
required
The local currency code of the sales channel’s country (e.g., BRL for BR, USD for US).

Response Fields

id
string
The unique identifier of the SKU price record within e-CROSS.
merchantId
string
The unique identifier of the merchant in the e-CROSS platform.
skuId
string
The SKU identifier.
skuName
string
The title of the SKU in the original language.
merchantCurrency
string
The merchant currency (your foreign currency).
localizedCurrency
string
The localized price currency (destination country currency).
localizationTimestamp
string
The timestamp when this localization occurred, in ISO 8601 format.
grossOutboundListPrice
number
The value in your merchant foreign currency that is the basis for the promotional price for the localized price.
grossOutboundSalePrice
number
The estimated value in your merchant foreign currency that will be the payout value after each unit sold.
grossOutboundListPriceWithTaxes
number
The value in your merchant foreign currency that is the basis for the promotional price with all taxes and duties included. This value differs from grossOutboundListPrice when the destination sales channel doesn’t calculate taxes and duties online and such values are embedded in the product price.
grossOutboundSalePriceWithTaxes
number
The value in your merchant foreign currency that represents the final retail price with taxes and duties included. This value differs from grossOutboundSalePrice when the destination sales channel doesn’t calculate taxes and duties online and such values are embedded in the product price.
localizedListPriceWithTaxes
number
The value in the localizedCurrency that represents the final promotional value for the sales channel.
localizedSalePriceWithTaxes
number
The value in the localizedCurrency that represents the final retail value for the sales channel.